﻿using System;
using System.Windows.Forms;

namespace LAB13
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        //Inicializálás
        private void Form1_Load(object sender, EventArgs e)
        {
            Text = "String";
            label1.Text = "Név";
            label2.Text = "Kor";
            label3.Text = "Nem";
            label4.Text = "";
            radioButton1.Text = "Nő";
            radioButton2.Text = "Férfi";
            radioButton1.Checked = true;
            groupBox1.Text = "Forma";
            radioButton3.Text = "Angol";
            radioButton4.Text = "Magyar";
            radioButton3.Checked = true;
            checkBox1.Text = "Keresztnév rövidítése";
            checkBox2.Text = "Vezetéknév rövidítése";
            button1.Text = "Feldolgoz";

            //teszt
            textBox1.Text = "Kiss Lajos Máté";
            textBox2.Text = "20";
        }

        private void button1_Click(object sender, EventArgs e)
        {
            // Üres szövegmező ellenőrzése
            if (textBox1.Text.Length == 0)
            {
                // Dialógusablak létrehozása
                MessageBox.Show("Kérem adjon meg egy nevet!", "Figyelem", MessageBoxButtons.OK);
                // kilépés a button1_Click eseményből
                return;
            }

            int kor = 0;
            // Szöveg -> szám konverzó lehetséges hibájának kezelése
            try  //próbáljuk meg
            {
                kor = Convert.ToInt32(textBox2.Text);
            }
            catch (Exception hiba)
            {
                //hiba esetén ez a rész fog lefutni
                MessageBox.Show("A megadott érték helytelen: " + hiba.Message,
                    "Figyelem", MessageBoxButtons.OK);
                return;
            }

            bool nem = radioButton1.Checked; // igaz - nő, hamis - férfi

            //Sztringek string vagy String osztály is használható
            string s = textBox1.Text;
            // név eleje
            string vezeteknev = s.Substring(0, s.IndexOf(' '));
            // első space utánni rész
            string keresztnev = s.Substring(s.IndexOf(' ') + 1);

            //keresztnév rövidítve legyen?
            if (checkBox1.Checked)
            {
                string ujkeresztnev = "";
                // végignézzük a szöveg betűit, az indexelés [] segítségével 
                for (int i = 0; i < keresztnev.Length; i++)
                {
                    // megvizsgáljuk, hogy nagybetű-e az adott karakter
                    if (Char.IsUpper(keresztnev[i]))
                        ujkeresztnev += keresztnev[i] + ". ";
                }
                keresztnev = ujkeresztnev;
            }

            //vezetéknév rövidítve legyen?
            if (checkBox2.Checked)
            {
                string ujvezetknev = "";
                for (int i = 0; i < vezeteknev.Length; i++)
                {
                    if (Char.IsUpper(vezeteknev[i]))
                        ujvezetknev += vezeteknev[i] + ". ";
                }
                vezeteknev = ujvezetknev;
            }

            // Magyar vagy Angol megjelenítés
            if (radioButton3.Checked)
                label4.Text = keresztnev + ", " + vezeteknev;
            else
                label4.Text = vezeteknev + " " + keresztnev;

            // új sor hozzáfüzése
            label4.Text += "\n";

            // szöveg darabolása Split segítségével
            string[] reszek = s.Split(' '); //rész-szövegek egy tömbben jelennek meg 
            for (int i = 0; i < reszek.Length; i++)
            {
                if (i % 2 == 0)  //páros szövegek csupa nagybetűvel
                    label4.Text += reszek[i].ToUpper() + " ";
                else  //páratlan szövegek csupa kisbetűvel
                    label4.Text += reszek[i].ToLower() + " ";
            }

            // szöveg tartalom megvizsgálása
            if (s.Contains("Kiss"))  //ha tartalmazza a Kiss szövegrészt
            {
                // akkor cseréljük le Nagy-ra
                string nagy = s.Replace("Kiss", "Nagy");
                label4.Text += "\n" + nagy;
            }

            label4.Text += "\r\n";
            string nev1 = s;
            string nev2 = "Nagy Attila";

            //2 szöveg összehasonlítása ábc szerint
            switch (nev1.CompareTo(nev2))
            {
                case 1:
                    label4.Text += nev1 + " > " + nev2;
                    break;
                case -1:
                    label4.Text += nev1 + " < " + nev2;
                    break;
                case 0:
                    label4.Text += nev1 + " == " + nev2;
                    break;
            }
            label4.Text += "\r\n";

            //fordított sorrend
            string vissza = "";
            for (int i = keresztnev.Length - 1; i >= 0; i--)
            {
                vissza += keresztnev[i];
            }
            label4.Text += vissza;
        }
    }
}
